﻿@charset "utf-8";

/* CSS Document */

body,
td,
th,
p {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    color: #333;
    line-height: 1.5;
}

body {
    background-color: #fdfdfd;
    margin: 0;
    position: relative;
    overflow-x: hidden;
}

.start main {
    margin-top: 3em;
}

.inside main {
    margin-top: 6em;
}

ul,
li {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    color: #333;
}

a {
    color: orange;
    text-decoration: none;
    transition: 0.2s;
}

    a:hover,
    a:focus {
        color: #3397db;
        text-decoration: none;
    }

    a img {
        border: none 0px #fff;
    }

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0 0 1em;
}

article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

header {
    position: fixed;
    height: 4em;
    width: 100%;
    z-index: 99;
    top: 0;
    left: 0;
    background-color: #f25454;
}

#maincontent {
    background-color: #f3f3f3;
    min-height: 100%;
}

#footer {
    background-color: #444;
    color: #aaa;
    width: 100%;
    font-size: 0.7em;
    letter-spacing: 0.1em;
    padding: 1em;
    text-align: center;
    text-transform: uppercase;
}

.content-wrapper {
    width: 100%;
    margin: 0 auto;
}

.inside .content-wrapper {
    width: 50%;
    min-width: 320px;
    margin: 0;
}


/* ====================== Navigation ====================== */

nav {
    height: 100%;
    text-align: center;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
}

    nav h1 {
        margin: 0;
        font-size: 1em;
    }

        nav h1 a {
            color: #fff;
            font-size: 2em;
            font-weight: 200;
            letter-spacing: 10px;
            text-transform: uppercase;
            display: inline-flex;
            align-items: center;
        }

            nav h1 a :hover {
                text-decoration: none;
                color: #ffce00;
            }

#breadcrumb {
    padding: 0;
    list-style: none;
    align-items: center;
    background-color: #ffce00;
    font-size: 1em;
    display: inline-flex;
    margin: 0;
    width: 100%;
    height: 3em;
}


    /* Display list items side by side */

    #breadcrumb li {
        display: inline;
        background-color: #f25454;
        border-radius: 0 1em 1em 0;
        font-size: 1em;
        padding: 0.2em 1em 0.3em 0.5em;
        margin: 2em 0 0 0.5em;
    }


        /* Add a slash symbol (/) before/behind each list item */

        #breadcrumb li + li:before {
            padding: 8px;
            color: black;
            content: "/\00a0";
        }


        /* Add a color to all links inside the list */

        #breadcrumb li a {
            color: white;
            text-decoration: none;
        }


            /* Add a color on mouse-over */

            #breadcrumb li a:hover {
                color: #f25454;
                text-decoration: none;
            }


/* ====================== Map ====================== */

#map {
    height: 400px;
    width: 100%;
    background-color: #ccc;
    z-index: 10;
}


/* ====================== Restaurant Filtering ====================== */

.filter-options {
    display: inline-flex;
    background-color: #f25454;
    align-items: center;
    margin-left: 0;
    width: 100%;
    height: 3em;
}

    .filter-options h2 {
        color: white;
        font-size: 1.5em;
        line-height: 1;
        margin: 0 0 0 1em;
        font-weight: bold;
    }

    .filter-options select {
        background-color: white;
        border: 1px solid #fff;
        font-family: Arial, sans-serif;
        font-size: 11pt;
        height: 50%;
        letter-spacing: 0;
        margin-left: 1em;
        padding: 0 0.5em;
        width: auto;
    }


/* ====================== Restaurant Listing ====================== */

#restaurants-list {
    background-color: #f3f3f3;
    list-style: outside none none;
    margin: 0;
    padding: 1em 0 0 1em;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

    #restaurants-list li {
        background-color: #ffce00;
        border: 2px solid #ccc;
        font-family: Arial, sans-serif;
        margin: 0 1em 1em 0;
        min-height: 380px;
        padding: 0;
        text-align: left;
        width: 280px;
    }

        #restaurants-list li:hover {
            background-color: #f25454
        }

    #restaurants-list .restaurant-img {
        background-color: #ccc;
        display: block;
        margin: 0;
        max-width: 100%;
        min-height: 10em;
        min-width: 100%;
    }

    #restaurants-list li a h2 {
        color: white;
        font-family: Arial, sans-serif;
        font-size: 1.2em;
        font-weight: 400;
        letter-spacing: 0;
        line-height: 1.3;
        margin: 0;
        padding: 20px;
        text-transform: uppercase;
    }

    #restaurants-list p {
        margin: 0;
        font-size: 11pt;
        padding-left: 20px;
    }

    #restaurants-list a:hover {
        text-decoration: none;
    }


/* ====================== Restaurant Details ====================== */

.inside header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    height: 4em;
}

    .inside header nav h1 {
        font-size: 0.7em;
    }

.inside #map-container {
    background: #ffce00 none repeat scroll 0 0;
    height: 100%;
    position: fixed;
    left: 50%;
    top: 3em;
    width: 50%;
    float: right;
}

.inside #map {
    background-color: #ccc;
    height: calc(100vh - 3em);
    width: 100%;
}

.inside #footer {
    bottom: 0;
    position: absolute;
    width: 100%;
    margin-top: 2em;
}

#restaurant-name {
    color: white;
    font-family: Arial, sans-serif;
    font-size: 20pt;
    font-weight: 400;
    letter-spacing: 0;
    margin: 15px 0 30px;
    text-transform: uppercase;
    line-height: 1.1;
}

#restaurant-img {
    width: 80%;
    height: auto;
    background-repeat: no-repeat, repeat;
    background-size: cover;
    background-position: center center;
}

#restaurant-address {
    font-size: 1.5em;
    margin: 0.5em 0 1em;
    color: white
}

#restaurant-cuisine {
    background-color: #333;
    color: #ddd;
    font-size: 1.1em;
    font-weight: 300;
    letter-spacing: 10px;
    margin: 0 0 20px;
    padding: 2px 0;
    text-align: center;
    text-transform: uppercase;
    width: 60%;
}

#restaurant-container,
#reviews-container {
    padding: 1em;
    background-color: #ffce00
}

#reviews-container {
    padding: 0.5em 0 0.5em 0.5em;
}

    #reviews-container h2 {
        color: white;
        font-size: 2em;
        font-weight: 300;
        letter-spacing: -1px;
    }

#reviews-list {
    margin: 0;
    padding: 0;
}

    #reviews-list li {
        background-color: #fff;
        border: 2px solid #f25454;
        border-radius: 0px 5px 50px;
        display: block;
        list-style-type: none;
        margin: 0 0 1em;
        overflow: hidden;
        padding: 1em 0 1em 1.5em;
        position: relative;
        width: 80%;
    }

        #reviews-list li p {
            margin: 0 0 0.25em;
        }

        #reviews-list li h4 {
            font-weight: bold;
            font-size: 1.5em;
        }

        #reviews-list li .rate {
            background-color: #f25454;
            width: 20%;
            padding: 0.5em;
            text-align: center;
            border-radius: 0.5em;
            color: white;
        }

#restaurant-hours td {
    color: #666;
    font-weight: 400;
    padding-right: 1rem;
}

#restaurant-hours {
    margin-top: 2em;
}
